include /common/pug/helpers

include /blocks/grid/grid
include /blocks/scripts/scripts
include /blocks/style/style
include /blocks/img/img
include /blocks/page-section/page-section
include /blocks/page-subsection/page-subsection
include /blocks/header/header
include /blocks/footer/footer

doctype html
html(lang='ru')
  include ../head/head
  body
    +header
    main: block content
    +footer
  +style('style.rest')
  if (resourcesName)
    +style(`${resourcesName}.rest`)
  -
    const scripts = ['script.js']
    if (resourcesName) scripts.push(`${resourcesName}.js`)
  +scripts(scripts)
